> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchserp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Web Page SEO analysis



## OpenAPI

````yaml openapi.json get /api/v1/web_page_seo_analysis
openapi: 3.1.0
info:
  title: API Documentation
  summary: 'OasRails: Automatic Interactive API Documentation for Rails'
  description: >+
    # FetchSERP API


    This API provides endpoints for retrieving search engine results, analyzing
    keyword and domain performance, scraping web content, and conducting SEO
    audits. It is designed to help developers access valuable SEO and SERP data
    programmatically.


    ## Authentication


    All API endpoints require Bearer token authentication.



    ## Rate Limiting


    The API has a rate limit of 600 requests per minute per API key. If you
    exceed this limit, you will receive a 429 status code.



    ## Available Resources


    - Get Backlinks : Get backlinks for a given domain

    - Get Domain Emails : Retrieve emails from a given domain

    - Get Domain Info : Get domain info including DNS records, WHOIS data, SSL
    certificates, and technology stack

    - Get Keywords search volume : Get search volume for given keywords

    - Get Keywords suggestions : Get keyword suggestions based on a url or a
    list of keywords

    - Get Long-tail Keywords Generator : Generate long-tail keywords for a given
    keyword

    - Get Page Indexation Check : Check if a domain is indexed for a given
    keyword

    - Get Domain Ranking : Get domain ranking for a given keyword

    - Get Web Page Scraping : Scrape a web page without JS

    - Get Domain Scraping : Scrape a domain

    - Post Web Page Scraping : Scrape a web page with custom JS

    - Post Web Page Scraping with Proxy : Scrape a web page with JS and proxy

    - Get Moz Domain Analysis : Get Moz domain analysis data

    - GET Search engine results : Get search engine results

    - GET Search engine results AI : Get search engine results with AI overview
    and AI mode response

    - GET Search engine results html : Get search engine results html content

    - GET Search engine results JS : Get search engine results with JS rendering

    - GET Search engine results text : Get search engine results text content

    - Get User : Get user information including api credit

    - Get Web Page AI Analysis : Analyze a web page with AI

    - Get SEO Analysis : Get SEO analysis for a given url


    For more information, contact contact@fetchserp.com

  termsOfService: ''
  contact:
    name: Support
    url: https://fetchserp.com
    email: contact@fetchserp.com
  license:
    name: GPL 3.0
    url: https://www.gnu.org/licenses/gpl-3.0.html#license-text
  version: 1.0.0
servers:
  - url: https://www.fetchserp.com
    description: Production
security:
  - bearer: []
tags:
  - name: Users
    description: Manage the `amazing` Users table.
paths:
  /api/v1/web_page_seo_analysis:
    get:
      tags:
        - Api
      summary: Web Page SEO analysis
      operationId: index_api_v1_web_page_seo_analysis
      parameters:
        - $ref: '#/components/parameters/f8f09a57d731547e6d17e18e88c911fe'
      responses:
        '200':
          $ref: '#/components/responses/3611fb5c01eb8ad784d839ffb22107a1'
        '401':
          $ref: '#/components/responses/c18f16818f78b2dd782f67452e4a63df'
        '403':
          $ref: '#/components/responses/9980fa6c06c9963b56f9594e9283a75a'
        '422':
          $ref: '#/components/responses/d82c84f6f832bfab9a07233fac8c43b7'
        '500':
          $ref: '#/components/responses/e810a9a45f47daf79ff54f674f6faf78'
      security:
        - bearer: []
components:
  parameters:
    f8f09a57d731547e6d17e18e88c911fe:
      name: url
      in: query
      description: The url to analyze
      required: true
      schema:
        type: string
      style: form
  responses:
    3611fb5c01eb8ad784d839ffb22107a1:
      description: success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/1878d2ef42d59d234c05c2afacb36edd'
    c18f16818f78b2dd782f67452e4a63df:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    9980fa6c06c9963b56f9594e9283a75a:
      description: >-
        You are not allowed to access this resource. You do not have the
        necessary permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/654dac096abf7f8a11eec3e814989da7'
    d82c84f6f832bfab9a07233fac8c43b7:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    e810a9a45f47daf79ff54f674f6faf78:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/435c07a5c6b7754326b753df2f09dae3'
  schemas:
    1878d2ef42d59d234c05c2afacb36edd:
      type: object
      properties:
        analysis:
          type: object
          properties:
            title:
              type: string
            title_length:
              type: integer
            meta_description:
              type: string
            meta_description_length:
              type: integer
            title_contains_keyword:
              type: boolean
            description_contains_keyword:
              type: boolean
            canonical_url:
              type: string
            robots_meta:
              type: string
            noindex_detected:
              type: boolean
            nofollow_detected:
              type: boolean
            structured_data:
              type: object
              properties:
                types:
                  type: array
                  items:
                    type: string
                raw:
                  type: array
                  items:
                    type: hash
            headings:
              type: object
              properties:
                h1:
                  type: string
                h1_count:
                  type: integer
                h1_contains_keyword:
                  type: boolean
                structure:
                  type: object
                  properties:
                    h1:
                      type: integer
                    h2:
                      type: integer
                    h3:
                      type: integer
                    h4:
                      type: integer
            content:
              type: object
              properties:
                word_count:
                  type: integer
                keyword_density:
                  type: object
                  properties:
                    keyword:
                      type: integer
                readability_score:
                  type: integer
                duplicate_content:
                  type: boolean
                thin_content:
                  type: boolean
                near_duplicate_content_hash:
                  type: string
                content_topics:
                  type: array
                  items:
                    type: string
            links:
              type: object
              properties:
                internal_links_count:
                  type: integer
                external_links_count:
                  type: integer
                broken_links: 'array<hash{href: string, status: boolean}}'
                redirect_chain: 'array<hash{href: string, status: boolean}}'
                nofollow_links_count:
                  type: integer
            images:
              type: object
              properties:
                total_images:
                  type: integer
                missing_alt_attributes:
                  type: array
                  items:
                    type: string
                image_alt_coverage:
                  type: integer
            technical:
              type: object
              properties:
                html_lang:
                  type: string
                doctype:
                  type: string
                semantic_tags_used:
                  type: array
                  items:
                    type: string
                robots_txt_disallowed:
                  type: boolean
                sitemap_included:
                  type: boolean
                viewport_tag_present:
                  type: boolean
                https:
                  type: boolean
                secure_canonical:
                  type: boolean
                mixed_content:
                  type: array
                  items:
                    type: string
                javascript_rendered:
                  type: boolean
                lazy_loaded_content:
                  type: boolean
                important_content_in_js:
                  type: boolean
                mobile_friendly:
                  type: boolean
                mobile_interstitials_detected:
                  type: boolean
                page_speed_score:
                  type: integer
                core_web_vitals:
                  type: object
                  properties:
                    lcp:
                      type: string
                    fid:
                      type: string
                    cls:
                      type: string
                aria_roles_present:
                  type: boolean
                landmark_elements:
                  type: array
                  items:
                    type: string
            social_meta:
              type: object
              properties:
                og_title:
                  type: string
                og_description:
                  type: string
                og_image:
                  type: string
                twitter_card:
                  type: string
                twitter_title:
                  type: string
                twitter_image:
                  type: string
                social_meta_complete:
                  type: boolean
            indexability:
              type: object
              properties:
                indexable:
                  type: boolean
                crawl_depth:
                  type: integer
            summary:
              type: object
              properties:
                score:
                  type: integer
                issues:
                  type: array
                  items:
                    type: string
                recommendations:
                  type: array
                  items:
                    type: string
    ab7f8e96ffb786cb211cda6678d34532:
      type: object
      properties:
        error:
          type: string
    654dac096abf7f8a11eec3e814989da7:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
    435c07a5c6b7754326b753df2f09dae3:
      type: object
      properties:
        status:
          type: integer
        error:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: >-
        A bearer token that will be supplied within an `Authorization` header as
        `bearer <token>`.

````